package com.yonge.cooleshow.api.feign.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 活动资源类型
 *
 * @Author: liweifan
 * @Data: 2022/4/7 15:48
 */
public enum CheckStatus implements BaseEnum<String, CheckStatus> {

    // 待支付
    WAIT_PAY("待支付"),
    // 未确认收货
    WAIT_CONFIRM("未确认收货"),
    // 售后处理中
    WAIT_AFTER_SALE("售后处理中"),
    ;

    @EnumValue
    private String code;
    private String msg;

    CheckStatus(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }
}
